function value = g(x,n,varargin)

%*** compute gradient gradu(x)
[phi,r]=cart2pol(x(:,1),x(:,2));
phi(phi<0) = phi(phi<0)+2*pi;

phi = phi - 3*pi/2;

grad(:,1) = 2/3 * r.^(-1/3) .* (-sin(phi/3));
grad(:,2) = 2/3 * r.^(-1/3) .* (cos(phi/3));

%*** compute normal derivative d_n u(x) = gradu(x)*n(x)
value = grad(:,1)*n(1)+grad(:,2)*n(2);

